/* REXX */
/**************************************************************************/
/*                                                                        */
/* Product Name:       BookManager Library Reader OS/2 READ               */
/*                                                                        */
/* Exec Name:          BOOKNEW.CMD                                        */
/*                                                                        */
/* Filespec:           BOOKNEW.CMD                                        */
/*                                                                        */
/* Author:             Michael Avery & Thomas Pack                        */
/*                                                                        */
/* Date:               07/15/94                                           */
/*                                                                        */
/* Change History:                                                        */
/*                                                                        */
/*    rel     name      date      description                             */
/*    ---     ----      --------  ---------------------------------       */
/*    1.2.1B  WTP       06/02/94  Initial creation.                       */
/*    1.2.1B  WTP       06/15/94  Add \SHELVES support...                 */
/*    1.2.2   MVA       7/15/94   Remove dependency on SDCONECT and       */
/*                                open shelves on CD-ROM runnibg from     */
/*                                                                        */
/* EXEC DESCRIPTION:                                                      */
/*                                                                        */
/*  This exec assumes that the the library reader is installed in the     */
/*  READIBM2 directory of the current drive and modifies the PATH and     */
/*  HELP enviroment varables accoringly.  This exec also update the       */
/*  READIBM search path and adds the path to the varable.                 */
/*                                                                        */
/*  The exec will pass all parms to the READIBM module.  If no parms are  */
/*  passed then it will invoke with the /ds parm.                         */
/*  This exec is based on the BOOKMGR.CMD Exec written by Thomas Pack     */
/*  of Cary BookManager development                                       */
/*                                                                        */
/**************************************************************************/
parse arg parms
TRACE 'O'
'@ECHO OFF'
address cmd 
SAY 'Library Reader/2 being started...  please wait...'
parse source . . drive '\'
path = drive'\BOOKS;'drive'\SHELVES;'
'SETLOCAL'
'SET READIBM='path
'SET PATH=\READIBM2;%PATH%'
'SET HELP=\READIBM2;%HELP%'
if parms = '' then parms = '/ds'
'CD \READIBM2'
'READIBM' parms
'ENDLOCAL'
